Skip to main content
GET
/
api
/
v1
/
roles
/
{role_id}
Get Role
curl --request GET \
  --url https://api.member.dev/api/v1/roles/{role_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "name": "<string>",
      "slug": "<string>",
      "is_system": false,
      "team_id": "<string>"
    },
    "id": "<string>",
    "type": "<string>",
    "links": {
      "self": "<string>"
    },
    "meta": {},
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "links": {
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

role_id
string
required

Response

Successful Response

data
JsonApiResource[RoleAttributes] · object
required
included
any[] | null
meta
Meta · object